Subject: Re: linux-next: build failure after merge of the final tree (arm tree related)

From: Russell King <[email-masked]>
Date: Tue, 3 Sep 2013 10:04:14 +0100

On Tue, Sep 03, 2013 at 06:18:24PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the final tree, today's linux-next build (arm defconfig)
> failed like this:
> 
> arch/arm/kernel/built-in.o: In function `setup_arch':
> io.c:(.init.text+0x594): undefined reference to `erratum_a15_798181_init'
> 
> Presumably caused by commit 34905a33184a ("ARM: 7804/2: Add check for
> Cortex-A15 errata 798181 ECO").  This build does not have CONFIG_SMP set.
> 
> I have reverted that commit for today.

Yep, and I think I'm going to do the same, rather than try and fix it.

-- 
Russell King